Social accounts
Social accounts are the connected profiles and pages you publish to. They are read-only via the API — connect and disconnect accounts in the Socialit app. Use their id as target_account_ids when creating posts.
The social account object
Section titled “The social account object”{ "id": "sa_2Xa9kQ1mB3cD4eF5gH6iJ7kL8m", "platform": "linkedin", "account_type": "organization", "username": "socialit", "name": "Socialit", "display_name": "Socialit", "avatar_url": "https://...", "external_id": "urn:li:organization:123", "status": "active", "created_at": "2026-06-25T08:00:00.000Z"}Provider tokens are never exposed.
List social accounts
Section titled “List social accounts”GET /v1/social-accounts
curl https://api.socialit.com/v1/social-accounts \ -H "Authorization: Bearer sk_live_..."{ "social_accounts": [ { "id": "sa_...", "platform": "linkedin", "...": "..." } ] }Get a social account
Section titled “Get a social account”GET /v1/social-accounts/:id
curl https://api.socialit.com/v1/social-accounts/sa_2Xa... \ -H "Authorization: Bearer sk_live_..."{ "social_account": { "id": "sa_...", "...": "..." } }